commit:     b2b095782fd811ea6f2376accfb6205bf68de344
Author:     Thomas Andrejak <thomas.andrejak <AT> gmail <DOT> com>
AuthorDate: Sat May 19 16:33:20 2018 +0000
Commit:     Tony Vroon <chainsaw <AT> gentoo <DOT> org>
CommitDate: Wed Jul 18 07:31:49 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2b09578

dev-libs/libpreludedb: Bump version 4.1

 dev-libs/libpreludedb/Manifest                  |  1 +
 dev-libs/libpreludedb/libpreludedb-4.1.0.ebuild | 89 +++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/dev-libs/libpreludedb/Manifest b/dev-libs/libpreludedb/Manifest
index e057c4dee82..4992f8d73c4 100644
--- a/dev-libs/libpreludedb/Manifest
+++ b/dev-libs/libpreludedb/Manifest
@@ -1,3 +1,4 @@
 DIST libpreludedb-3.0.0.tar.gz 1269937 BLAKE2B 
6f6bad7b9529b88bd03b224c1ea4066b9e806ff82960d1c2e336ebc5c345353a3b63224e0ea84407f159443b6ec53c1cb6bba8009d48dfb53a26bab96960467e
 SHA512 
9d80e01be8cf028b8a843e68e45eeb84c561ff37e688fe5b8156e717f337b1db4d3de983f37a0544bf018238bec07580dce0c7208df005113efbba0aab34b981
 DIST libpreludedb-3.1.0.tar.gz 1291186 BLAKE2B 
90b3b6264f0042b14e54abfc3068071419646076fc6cfa3dd84ba6c14797fb0ea88885edef47b8a5d0dc455468e6daaa8e795b621a4f9001d19d8edc33630a88
 SHA512 
dcb98eff2521979c2956bdd6f3b661c346c0f6748ef820a75d77c948e426a996de26c7fc6b6c2abddc93277db3820eb2f44b61c87feb86483e720cf9b0e0124c
 DIST libpreludedb-4.0.0.tar.gz 1325812 BLAKE2B 
7a506f7cd7b51898e26201f2cc640b1f34227f9cf7c5c6e2385480f1fc0ad854b6d747293ab502b641cc65f1ee9ae4a8f225e6a1d4489bcaa59901c6342f1279
 SHA512 
13f5dbcfa6af965f2075d60c645ebb19cbd6b18807b26f4f13a7a05f1cf552996f9846e856728a4e1dc621efda693016e82623d4a3cbf74849b3e7114f19faca
+DIST libpreludedb-4.1.0.tar.gz 1333638 BLAKE2B 
380a6d4ef8836555510f9f9882b6100417f2567520c421355fb7eec8d2cd7e2f3942c4cb90ea21fa1557327026edd5c1e35e338a79e06a21cfb2bd6813a289c2
 SHA512 
de1fa5106d7f34edb5a23e726c968de84bb8b10257587b6ee36276ed75ddc54f4f9539aecb7836e114eb3bfa90104dd3b5e097be0c3d12347dcbded94f293dc4

diff --git a/dev-libs/libpreludedb/libpreludedb-4.1.0.ebuild 
b/dev-libs/libpreludedb/libpreludedb-4.1.0.ebuild
new file mode 100644
index 00000000000..ee315b82f58
--- /dev/null
+++ b/dev-libs/libpreludedb/libpreludedb-4.1.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
+USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+DISTUTILS_OPTIONAL=1
+
+inherit autotools distutils-r1 ruby-single
+
+DESCRIPTION="Framework to easy access to the Prelude database"
+HOMEPAGE="https://www.prelude-siem.org";
+SRC_URI="https://www.prelude-siem.org/pkg/src/${PV}/${P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="mysql postgres python sqlite"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="~dev-libs/libprelude-${PV}
+       net-libs/gnutls:=
+       mysql? ( virtual/libmysqlclient )
+       postgres? ( dev-db/postgresql:* )
+       python? ( ${PYTHON_DEPS} )
+       sqlite? ( dev-db/sqlite:3 )"
+
+DEPEND="${RDEPEND}
+       >=dev-lang/swig-3.0.11
+       dev-util/gtk-doc-am
+       sys-devel/flex
+       virtual/pkgconfig
+       virtual/yacc"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-4.0.0-fix-python-bindings.patch"
+)
+
+src_prepare() {
+       default
+
+       eautoreconf
+
+       if use python; then
+               cd bindings/python || die
+               distutils-r1_src_prepare
+       fi
+}
+
+src_configure() {
+       local myconf=(
+               --enable-easy-bindings
+               --with-swig
+               $(use_with mysql)
+               $(use_with postgres postgresql)
+               $(use_with sqlite sqlite3)
+       )
+
+       if use python; then
+               python_setup
+               if python_is_python3; then
+                       myconf+=(--without-python2 --with-python3="${EPYTHON}")
+               else
+                       myconf+=(--without-python3 --with-python2="${EPYTHON}")
+               fi
+       else
+               myconf+=(--without-python2 --without-python3)
+       fi
+
+       econf "${myconf[@]}"
+}
+
+src_compile() {
+       default
+       if use python; then
+               cd bindings/python || die
+               distutils-r1_src_compile
+       fi
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+       if use python; then
+               cd bindings/python || die
+               distutils-r1_src_install
+       fi
+}

Reply via email to